Skip to content

Loading…

support jQuery UI 1.10.0 #73

Merged
merged 1 commit into from

3 participants

@chrjean

change the namespace to support other jQuery UI plugin which interferes
with 'Sortable' plugin

Christophe Jean support jQuery UI 1.10.0
change the namespace to support other jQuery UI plugin which interferes
with 'Sortable' plugin
78b0ccd
@mjsarfatti mjsarfatti merged commit ec7ec23 into mjsarfatti:2.0alpha
@mmuro

For me, integrating this line fixes compatibility with draggable and connectedSortable in the non-alpha version.

To ensure backwards compatibility with < jQuery UI 1.10, I added a version comparison function that uses the previous line if it's 1.9.2 or below.

@mjsarfatti
Owner

Can you share your code?

@mmuro

Sure thing. This is how I modified your plugin: https://gist.github.com/mmuro/5620222

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Commits on Jan 21, 2013
  1. support jQuery UI 1.10.0

    Christophe Jean committed
    change the namespace to support other jQuery UI plugin which interferes
    with 'Sortable' plugin
Showing with 1 addition and 1 deletion.
  1. +1 −1 jquery.mjs.nestedSortable.js
View
2 jquery.mjs.nestedSortable.js
@@ -38,7 +38,7 @@
},
_create: function() {
- this.element.data('sortable', this.element.data('nestedSortable'));
+ this.element.data('ui-sortable', this.element.data('mjs-nestedSortable'));
// mjs - prevent browser from freezing if the HTML is not correct
if (!this.element.is(this.options.listType))
Something went wrong with that request. Please try again.